MongoCollection::getIndexInfo
MongoCollection::group
MongoCollection
PHP Manual

# MongoCollection::getName

(PECL mongo >=0.9.0)

MongoCollection::getName — Returns this collection's name

### Description

public string MongoCollection::getName ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the name of this collection.

### Examples

Example #1 MongoCollection::getName() example

`<?php
$m = new Mongo();
$c = $m->selectDB("foo")->selectCollection("bar.baz");
echo "Working with collection " . $c->getName() . ".\n";
// the full namespace is given by the MongoCollection::__toString() method
echo "Working in namespace $c.\n";
?>`

The above example will output something similar to:

    Working with collection bar.baz.
    Working in namespace foo.bar.baz.

MongoCollection::getIndexInfo
MongoCollection::group
MongoCollection
PHP Manual